"use strict";
cc._RF.push(module, '14139y+U9dFAINtcRTNBOmE', 'capture_to_wechat');
// cases/07_capture_texture/capture_to_wechat.js

"use strict";

cc.Class({
    extends: require('./textureRenderUtils'),

    start: function start() {},
    clicked: function clicked() {
        var totle = new Date();
        this.init();
        var d1 = new Date();
        var canvas = this.createSprite();
        cc.log("createSprite", new Date() - d1);
        d1 = new Date();
        this.initImage();
        cc.log("toDataURL", new Date() - d1);
        d1 = new Date();
        this.saveFile(canvas);
        cc.log("saveFile", new Date() - d1);
        cc.log("totle", new Date() - totle);
    },
    clicked1: function clicked1() {
        var totle = new Date();
        this.init();
        var d1 = new Date();
        var canvas = this.createSprite1();
        cc.log("createSprite", new Date() - d1);
        d1 = new Date();
        this.initImage();
        cc.log("toDataURL", new Date() - d1);
        d1 = new Date();
        this.saveFile(canvas);
        cc.log("saveFile", new Date() - d1);
        cc.log("totle", new Date() - totle);
    },
    clicked2: function clicked2() {
        var totle = new Date();
        this.init();
        var d1 = new Date();
        var canvas = this.createSprite2();
        cc.log("createSprite", new Date() - d1);
        d1 = new Date();
        this.initImage();
        cc.log("toDataURL", new Date() - d1);
        d1 = new Date();
        this.saveFile(canvas);
        cc.log("saveFile", new Date() - d1);
        cc.log("totle", new Date() - totle);
    },
    saveFile: function saveFile(tempCanvas) {
        // This is one of the ways that could save the img to your local.
        if (cc.sys.platform === cc.sys.WECHAT_GAME) {
            var self = this;
            var data = {
                x: 0,
                y: 0,
                width: canvas.width,
                height: canvas.height,
                // destination file sizes
                destWidth: canvas.width,
                destHeight: canvas.height,
                fileType: 'png',
                quality: 1
                // https://developers.weixin.qq.com/minigame/dev/api/render/canvas/Canvas.toTempFilePathSync.html
            };var _tempFilePath = tempCanvas.toTempFilePathSync(data);
            cc.log("Capture file success!" + _tempFilePath);
            self.label.string = '图片加载完成，等待本地预览';
            // https://developers.weixin.qq.com/minigame/dev/api/media/image/wx.previewImage.html
            wx.previewImage({
                urls: [_tempFilePath],
                success: function success(res) {
                    cc.log('Preview image success.');
                    self.label.string = '';
                }
            });
        }
    }
});

cc._RF.pop();